标签存档: rpm

centos 7 下rpm/yum安装inconsolata字体

inconsolata字体是一款不错的等宽字体,码代码用字体…
然而在centos 7下没有,在rhel/epel 6下的rpmforge里有这个字体,7系列竟然没了。根据“相近原则”,找6下面的字体,竟然发现它是noarch的,那就直接rpm安装了,使用华中科技大学开源镜像站的镜像
rpm -ivh http://mirrors.hustunique.com/repoforge/redhat/el6/en/x86_64/rpmforge/RPMS/inconsolata-fonts-0.1-1.el6.rf.noarch.rpm
完成。

继续阅读 »

yum依赖错误处理:清理重复的rpm包

使用fedora/redhat/centos系列的linux发行版,有时会因为某些非正常原因(异常断电居多)造成yum/rpm错误,表现是在运行yum时出现依赖包错误,仔细查看其相关包,会发现这些包是矛盾的版本号依赖。这种情况下,通常就是本机rpm数据库里记录了某个rpm包多个版本(可能事实上只装了一个版本),通过rpm -q {包名} 会查出来多个版本,例如
[root@fscfedora feng]# rpm -q audit
audit-2.3.2-1.fc20.x86_64
audit-2.3.3-1.fc20.x86_64
阅读全文——共1362字

继续阅读 »

centos/redhat/fedora下rpm安装nload监测网卡流量/非手工编译/linux实时带宽监控

nload 是linux下简单易用的带宽流量监测工具,基于字符界面的动态图形显示网卡当前的流量。
不过centos官方源里并没有它,不能直接使用yum安装。我们可以到第三方rpm发布平台上下载,推荐使用 下面的源,它发布多个rpm包
http://pkgs.repoforge.org/nload/
安装方法:
阅读全文——共408字

继续阅读 »

在centos 6.x 上成功安装 kchmviewer

使用centos 6 做桌面用,但一直有个缺陷:kchmviewer安装不上。提示缺少Qt库,以前通过rpm.pbone.net查找下载qt库,但总是有包依赖的冲突,两个软件包(具体是谁忘记了),一个要高版本的库,一个一定要低版本的库,于是放弃,尝试自己编译,一样没解决包依赖问题。
今天是2012年元旦,随手google搜索一下 centos 6 kchmviewer,是看到了第一条结果,马上尝试,很顺利,安装成功。
回看一下自己失败的原因,原来是下载的qtwebkit包太新(qtwebkit-2.1.1-1.el6.i686),所以出现软件包依赖冲突;而使用qtwebkit-2.0-3.el6.i686.rpm就可以成功安装了。
阅读全文——共566字

继续阅读 »

查看一个rpm包中包含那些文件/文件属于哪个rpm包

一个rpm包中包含那些文件
一个没有安装过的软件包,使用rpm -qlp rpm-filename.rpm
一个已经安装过的软件包,还可以使用rpm -ql packet-name
查看一个文件属于哪个rpm包, rpm -qf /path/filename
阅读全文——共391字

继续阅读 »

pkgs.org: Linux Packages Search

http://pkgs.org/
pkgs.org: Linux Packages Search
查找linux软件信赖包的一个工具网站,好像不错。

继续阅读 »

RPMforge, 很不错的centos RPM/yum源

centos下使用rpmfusion,好像没有smpalyer,使用fedora的rpm包应该是可以的,但一个一个包下载,还得手工处理包依赖关系,非常麻烦。
发现一个RPMforge的源 http://apt.sw.be/,centos官方也有推荐使用;不过它没有国内镜像,速度可能不能保证。但还是值得一试。
以下来自centos官方wiki: http://wiki.centos.org/AdditionalResources/Repositories/RPMForge?action=show&redirect=Repositories%2FRPMForge
RPMforge is a collaboration of Dag and other packagers. They provide over 5000 packages for CentOS, including wine, vlc, mplayer, xmms-mp3, and other popular media tools. It is not part of Red Hat or CentOS but is designed to work with those distributions. See also Using RPMforge and Repoforge.
阅读全文——共1064字

继续阅读 »

利用安装光盘创建本地 yum 源补装 RPM 软件包

http://www.ibm.com/developerworks/cn/linux/l-cn-yum/index.html
引言
如果你是一个 Linux 新手,刚安装完一个崭新的 RHEL 5u4 系统,在默认配置下使用了几天,感觉不错。这时你想用 gcc 编一个程序,发现默认配置里并没有安装这个包。你找到安装光盘,小心翼翼地挂载上,并找到了 gcc-4.1.2-46.el5.i386.rpm 。尝试着用 rpm -ivh gcc-4.1.2-46.el5.i386.rpm 进行安装。系统告之缺少 glibc-devel 和 libgomp,当你试着安装 glibc-devel,系统又提示缺少 glibc-headers。继续下去,又发现缺少 kernel-headers。先前网上关于 RPM 依赖关系如何复杂的传言终于得到了印证。你很苦恼,心想如果当初选择了完全安装该有多好!同时也懊悔为了结省那不值钱的几 GB 空间而给自己今天带来了如此多的麻烦。最终,你按照依赖提示,递归似的完成了 gcc 的安装。你很庆幸的完成了这个任务。其实只是因为这个安装任务的依赖关系还不够复杂到把你吓退罢了。
阅读全文——共10038字

fedora/linux升级firefox/fedora13安装新版本firefox

fedora官方的firefox的rpm/yum安装包更新非常慢,远远滞后于firefox的升级步骤。拿目前(2010-08-29)的版本来看,firefox最新版本是3.6.8,但yum上,版本只更新到了3.6.3.
虽然firefox的最近几个子版本号更新并没太大的改动,使用上没有感觉到有什么不同之处,不过对于“新版本升级爱好者”来说,升级到最新版本心里会感觉顺畅一些。
完美的升级firefox,是一件很麻烦的事情。
从firefox官方下载升级包,解压缩到rpm安装位置/usr/lib/firefox-3.6,如果没有启用selinux,可以正常使用(解压缩到其它目录里也是一样可以正常运行,但这样会有两个版本的firefox,有点洁癖~~);但如果selinux运行,会提示错误:libxul.so无权限。因为对selinux并不熟悉,掏腾一下,没有搞定。
阅读全文——共3301字

linux下RPM技巧应用

0:怎样查看rpm安装包的安装路径
rpm -qpl xxxxxx.rpm
1.如何安装rpm软件包
rmp软件包的安装可以使用程序rpm来完成。执行下面的命令
阅读全文——共3920字

Pages: 1 2 Next